Summary: 	Kbiff is a new mail notification utility
Name:   	kbiff
Version: 	3.4
Release: 	4mdk
Source0: 	%{name}-%{version}.tar.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	rpm-build

%description
KBiff is a "biff", or new mail notification utility. It is highly configurable
but very easy to use and set up. It tries to combine the best of the features of
most of the "other" biff programs out there. KBiff supports all major mailbox
formats: mbox (Berkely style), maildir, mh, POP3, IMAP4 and NNTP.


%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --disable-debug \
		    --enable-final 




%install
mkdir -p %buildroot/%_datadir/config/
make install DESTDIR=%buildroot 

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kbiff"\
title="Kbiff"\
icon="%{name}.png"\
longtitle="A mail notification utility"\
needs="kde"\
section="Networking/Mail"
EOF


%clean
rm -fr %buildroot

%post
%{update_menus}
/sbin/ldconfig 

%postun
%{clean_menus} 
/sbin/ldconfig 

%files 
#-f %name.lang
%defattr(-,root,root)
# Montel laurent 2001-03-28
#add just english doc because others doc
# are in kde-i18n package
%dir %_docdir/HTML/en/kbiff/
%doc %_docdir/HTML/en/kbiff/*.docbook
%doc %_docdir/HTML/en/kbiff/kbiff.png

%_bindir/*
#
%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/pics/
%_datadir/apps/%{name}/pics/*.png
#
%_datadir/icons/locolor/16x16/*
%_datadir/icons/locolor/32x32/*
%_datadir/icons/hicolor/48x48/*
%_datadir/icons/hicolor/32x32/*
%_datadir/applnk/Internet/*.desktop
%_menudir/*


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Use more macro
- Don't delete usefull links for documentation
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix BuildRequires for non %%ix86 architectures

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-2mdk
- Add build requires

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-1mdk
- Update code

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.1-2mdk
- Rebuild agains Qt 2.3.0

* Thu Jan 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- Update code

* Thu Dec 07 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-2mdk
- Fix package

* Mon Nov 22 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-1mdk
- Initial package fix compile with gcc-2.96
